summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2021-03-04 14:00:44 +0000
committerMarek Szuba <marecki@gentoo.org>2021-03-04 14:47:01 +0000
commitf36e271fd2af17db89fc2d96796eb33aee496be7 (patch)
treecfaaaf9ad7cff94fe59a73b0b025355674fb2e6c /mail-mta/protonmail-bridge
parentsys-cluster/lmod: drop files from profile.d (diff)
downloadgentoo-f36e271fd2af17db89fc2d96796eb33aee496be7.tar.gz
gentoo-f36e271fd2af17db89fc2d96796eb33aee496be7.tar.bz2
gentoo-f36e271fd2af17db89fc2d96796eb33aee496be7.zip
mail-mta/protonmail-bridge: bump to 1.6.6
Signed-off-by: Marek Szuba <marecki@gentoo.org>
Diffstat (limited to 'mail-mta/protonmail-bridge')
-rw-r--r--mail-mta/protonmail-bridge/Manifest5
-rw-r--r--mail-mta/protonmail-bridge/protonmail-bridge-1.6.6.ebuild453
2 files changed, 458 insertions, 0 deletions
diff --git a/mail-mta/protonmail-bridge/Manifest b/mail-mta/protonmail-bridge/Manifest
index e833f8c7b4b..5ca4205bb77 100644
--- a/mail-mta/protonmail-bridge/Manifest
+++ b/mail-mta/protonmail-bridge/Manifest
@@ -93,6 +93,8 @@ DIST github.com%2Femersion%2Fgo-imap-move%2F@v%2Fv0.0.0-20190710073258-6e5a51a5b
DIST github.com%2Femersion%2Fgo-imap-move%2F@v%2Fv0.0.0-20190710073258-6e5a51a5b342.zip 4879 BLAKE2B 8f89d359457e74b1de159c0c25f5f1cbc31375086786e67ba04de77dbddd88d3c409e0260f61d9232b406f99b48a795aaf66c2b47a496e6d4f092036c9b3fa9a SHA512 0e2391c42450c9036b5a66822a32a154726b6735d15f531770223c9230b1122eb416c6953f6da288321e085fdac833aa6525da362ef5024ed92119aa6f839450
DIST github.com%2Femersion%2Fgo-imap-quota%2F@v%2Fv0.0.0-20200423100218-dcfd1b7d2b41.mod 41 BLAKE2B 6a8ffeb78340cf03ffb87dc3bcd1bbea4d848ce95603e856f3d895681382977e8464766c9b8000a52b757f0a3399c6042eb0e26e2c1a3d0c0cd906562242b47f SHA512 e431cfc3256de1b0d9683cca7422a22ef831cb12a4048d3d3adb45331270a20b2454908087c9535c64dcd8c6f75fd63f20590af259d1052c68016fc87c86aff5
DIST github.com%2Femersion%2Fgo-imap-quota%2F@v%2Fv0.0.0-20200423100218-dcfd1b7d2b41.zip 6988 BLAKE2B 27b638f15ae22ace24f2ba6ce617a89bcccc6a91755d787fbee0545310fc8139390857e964b07772d86945b5aed3005484eecaeb375bae4e8e0d90e717d53227 SHA512 965bccfdc470ee02d4b6f2f0200eb48b340b34a78cef82e2f93081fecf47997556cd39f8a144f09a49320b198c8a4957dd7687459c3ce41eff058178f7d4d4b3
+DIST github.com%2Femersion%2Fgo-imap-quota%2F@v%2Fv0.0.0-20210203125329-619074823f3c.mod 41 BLAKE2B 6a8ffeb78340cf03ffb87dc3bcd1bbea4d848ce95603e856f3d895681382977e8464766c9b8000a52b757f0a3399c6042eb0e26e2c1a3d0c0cd906562242b47f SHA512 e431cfc3256de1b0d9683cca7422a22ef831cb12a4048d3d3adb45331270a20b2454908087c9535c64dcd8c6f75fd63f20590af259d1052c68016fc87c86aff5
+DIST github.com%2Femersion%2Fgo-imap-quota%2F@v%2Fv0.0.0-20210203125329-619074823f3c.zip 6994 BLAKE2B 991f973e37f864759fbbeb633b4810a83be3a97589363b8ab9b24b39d2647600ce5030d1c7850456a86868dd5a46204cb559ec5927be3d6a4ab31d096279a45e SHA512 2d1fcb21fbed8de34e38930823aecb975e9f23d4984e283c04a010aa29e5bb310a14c5780db209cbeb7a0b898e0ea0375c2497baf264ae9d11aeafb20289b259
DIST github.com%2Femersion%2Fgo-imap-specialuse%2F@v%2Fv0.0.0-20200722111535-598ff00e4075.mod 46 BLAKE2B 4ab1c314fbb0ba6b120e27a321c9f110313be5e27ecfb7cd9ea0efd114b67e86b9fbd4cf0728f7a2d0ea216a8d22c0de9c5bffa444f1c7d34238c4e419ebc184 SHA512 e445c44c68bb47cb8e787e90d0dec335b760a2a414bb6b307d272b772b4677b98360193044290d6e91c3f8863fc6a77b81c76024d527399338630f55c7a1cfcb
DIST github.com%2Femersion%2Fgo-imap-specialuse%2F@v%2Fv0.0.0-20200722111535-598ff00e4075.zip 3432 BLAKE2B e371539675b77e6b28e69dad71c48b913619198ec2ccc00f61d25f4f7fa73c2f79674f0d54f33e1148113b4b077c42a4b4b6e95f365ab86a403e3dfd7341b1d6 SHA512 07fb4d02e5a6a8083bd223a831b5e0aef4338e148eea9d10b440036c0fd88bc863fc23040dd1e736b03184d1105e8cc9aa9e9a0be8b28f2df04d216231006b18
DIST github.com%2Femersion%2Fgo-imap-unselect%2F@v%2Fv0.0.0-20171113212723-b985794e5f26.mod 44 BLAKE2B ad97f48981b24805164ad750f1e0742942dcb40fcc18f4e4ee889232f5afe15e14886c1908174146cdb46148e7b40fb1f978a5afebac81c4c8b790fb62d576a0 SHA512 f2ba8441d9a51e08d25d949691a0544897ec44c7c4a87224b1f4605ffb552a681e3030326b9accf26893c512146e844a270a15ae7ff763b067e8c1a6d5837122
@@ -247,6 +249,8 @@ DIST github.com%2Fpingcap%2Ferrors%2F@v%2Fv0.11.4.zip 18851 BLAKE2B 1626a8b10baa
DIST github.com%2Fpkg%2Ferrors%2F@v%2Fv0.8.1.mod 29 BLAKE2B 7fb53b19bd1be0e783039647b42ecbe2070f51af102e473ec6d3544eea0ffa5863f1874ca1615348d5f8abbaa39c841b4fe18d43a8a615fa648cf22f35955e38 SHA512 0c156e21d35c45a89c1a1b69ff1976b4f7511b3870bf96126121f5a5effa3723eb45bf080e840d5c8b96898c65207dba83eb3e1a23668dd8a5e20ee6be775cc0
DIST github.com%2Fpkg%2Ferrors%2F@v%2Fv0.9.1.mod 29 BLAKE2B 7fb53b19bd1be0e783039647b42ecbe2070f51af102e473ec6d3544eea0ffa5863f1874ca1615348d5f8abbaa39c841b4fe18d43a8a615fa648cf22f35955e38 SHA512 0c156e21d35c45a89c1a1b69ff1976b4f7511b3870bf96126121f5a5effa3723eb45bf080e840d5c8b96898c65207dba83eb3e1a23668dd8a5e20ee6be775cc0
DIST github.com%2Fpkg%2Ferrors%2F@v%2Fv0.9.1.zip 17866 BLAKE2B bb8d50b9e736f5f1e129482bd50f720b7dbe80935fcb6cfbec6d5a5f5ba5d5434476d66a362f12bedc304e89c9886d4868d310710aa100c357900a742d4ee341 SHA512 82b0ed1ceadd44a2871b56e733a118003b1bae9e38fe95251e0aa06a0a4c9b4940c485336fa11335974e0df536dcd0491ec1b2e545ecdddc7f9ce59771f86321
+DIST github.com%2Fpkg%2Fmath%2F@v%2Fv0.0.0-20141027224758-f2ed9e40e245.mod 27 BLAKE2B 5158952769b21864c1ba50ab5a28003df3b11ad384a2bdc34451016a9208e498050868fd698fdcfb2ef3e951ada2344f87874d508171727f8cb7e63129699b9e SHA512 ebc5ad2cfbf6b9a869a7977e57f2e460c2b1ba4f29a1cf7512a6d7b8003ab82f0cfa1d6089731b1817637a3dedce3d0adc425734f5779a7b8c0e3b9a9aff91e6
+DIST github.com%2Fpkg%2Fmath%2F@v%2Fv0.0.0-20141027224758-f2ed9e40e245.zip 17718 BLAKE2B 927a04d5b35fc9faab9c7fa94898e5f140d5021ca5a5d42a683fc6c2a207e27edb7460dac08ca3544771b5b0cfc9f9f5515a794c875133869ec28898209cf592 SHA512 6e2b72f05e0c0fb54788d98ba4e27d0b88a0b5d85c5e91568d4fa108d342ae5daa2bb776218705c35076ed0b3c32c5b56d941245be2907b056fef3e0c4a16f98
DIST github.com%2Fpmezard%2Fgo-difflib%2F@v%2Fv1.0.0.mod 37 BLAKE2B 94636062c94f8ff68cdcab7593a3acae7b9ffff616cad7b1d5c9cd147a4a1042d33666cbeed6fd816d6793113abfb595183097dcc46de7a3dfadc1423ed43e79 SHA512 c3d5c48cdb8ba6af7071a07cfede06e0ab67e3726d9de592a952fad40167dcbdd9621dc2c4df1bd3c28eb99d70b1b6d8d812441237c35bf492e5b7f07bd33902
DIST github.com%2Fpmezard%2Fgo-difflib%2F@v%2Fv1.0.0.zip 12433 BLAKE2B 0c911c9d173080abd8edbbab1f47222343801d8eeae36b4add24773e3282fc2a39283fdf519a3d4483e39cdb7d9509b8570d151f46841ac1a616f312dc4cb0ba SHA512 3b85697185ba85cdef6202444ab6cabeabfad8a03d66b3839a852586b1f91ddae7897a57c8c138d5647022aa44906c7ef3c5339d520f90eeea0742a935da8cf2
DIST github.com%2Frussross%2Fblackfriday%2F@v%2Fv1.5.2.mod 39 BLAKE2B 6d577028361a97eeb7070517fb59bc801499e5b93cb97da563e41b91ab1443583510a259283bd01777ebd435934f27212c15ed32cb5422d6d711697a7c714579 SHA512 d9e6796c9e0a1b870a32c313e22555a090e85919007d50ed4dcbcd3ccbfb90a3ab98e9f3e2d41bd32196e3d5fd57c62e6d47aa65e79efd3d05b7d73ae9bfda7a
@@ -401,3 +405,4 @@ DIST gopkg.in%2Fyaml.v3%2F@v%2Fv3.0.0-20200313102051-9f266ea9e77c.zip 101467 BLA
DIST protonmail-bridge-1.5.4.tar.gz 1838395 BLAKE2B b81cc14f7da259941f4bdfae0f3e06782e22ce959193a34873aea06480658b3cde6e73f01d6796097d8e103b85d32ac845f371faf17aca7210e45667f74b0325 SHA512 83621ceaac54190b9143f67c50ae98ec3ea96bff399f415838561d64cf277e772925793af701b5f493460fb0edced4383253dc5a24264f4a89e30417f12de49f
DIST protonmail-bridge-1.5.7.tar.gz 1843039 BLAKE2B 302479620048718eb2f430ad45aa08dbdc94c0db3e32fc7e9b813097fe12a19cb8b1839e32ad0570fe3d350e710612774e8019c60924a6005883e31a7c70621a SHA512 9a0baee9ba4afbf1ef79cf8af36cf971996a3057b1f1cb407cdbf56ac33c0e82b4074aaab9729dc1c924a414ef8551d1b6d7fc8addf4f21d7426ff097fc156c8
DIST protonmail-bridge-1.6.3.tar.gz 1868157 BLAKE2B a1dd7d1e4ca740dc3a03d8f397b442e33fadb5ac629f585e697c5764fa20b94fc5c07f27573ee1a3e5836082cedcb777af765c887cb8889ccce5866f7a688c4c SHA512 c959822ef4acb816f74783186e2d2ae3b094852c1a969488875e3077bee0c11dfc1509e688afa6897568165870ec5a5aa204f47176373aa7e004d68add7a2110
+DIST protonmail-bridge-1.6.6.tar.gz 1871189 BLAKE2B e6effe40fa5828c08a5f5c2fbf848295f4f88ec5057af915b28fae57be51a67aa35c6530f270709ecef4aa17a781b5a97c358191b1da186b0f03f3a64b62b1a2 SHA512 40f0bd52f839ff220ad28a49404915983356f12bfefea5ccb1c68cde20b954da31c0db1535fb5379385c5109ff2f5ab8cda0d93bc618f8e786d0e4c4c078506d
diff --git a/mail-mta/protonmail-bridge/protonmail-bridge-1.6.6.ebuild b/mail-mta/protonmail-bridge/protonmail-bridge-1.6.6.ebuild
new file mode 100644
index 00000000000..42c270c7365
--- /dev/null
+++ b/mail-mta/protonmail-bridge/protonmail-bridge-1.6.6.ebuild
@@ -0,0 +1,453 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit go-module systemd xdg-utils
+
+EGO_SUM=(
+ "github.com/0xAX/notificator v0.0.0-20191016112426-3962a5ea8da1"
+ "github.com/0xAX/notificator v0.0.0-20191016112426-3962a5ea8da1/go.mod"
+ "github.com/AndreasBriese/bbloom v0.0.0-20190306092124-e2d15f34fcf9/go.mod"
+ "github.com/BurntSushi/toml v0.3.1/go.mod"
+ "github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
+ "github.com/CloudyKit/fastprinter v0.0.0-20200109182630-33d98a066a53/go.mod"
+ "github.com/CloudyKit/jet/v3 v3.0.0/go.mod"
+ "github.com/Joker/hpp v1.0.0/go.mod"
+ "github.com/Masterminds/semver/v3 v3.1.0"
+ "github.com/Masterminds/semver/v3 v3.1.0/go.mod"
+ "github.com/ProtonMail/bcrypt v0.0.0-20170924085257-7509ea014998"
+ "github.com/ProtonMail/bcrypt v0.0.0-20170924085257-7509ea014998/go.mod"
+ "github.com/ProtonMail/crypto v0.0.0-20201112115411-41db4ea0dd1c"
+ "github.com/ProtonMail/crypto v0.0.0-20201112115411-41db4ea0dd1c/go.mod"
+ "github.com/ProtonMail/docker-credential-helpers v1.1.0"
+ "github.com/ProtonMail/docker-credential-helpers v1.1.0/go.mod"
+ "github.com/ProtonMail/go-autostart v0.0.0-20181114175602-c5272053443a"
+ "github.com/ProtonMail/go-autostart v0.0.0-20181114175602-c5272053443a/go.mod"
+ "github.com/ProtonMail/go-crypto v0.0.0-20201208171014-cdb7591792e2"
+ "github.com/ProtonMail/go-crypto v0.0.0-20201208171014-cdb7591792e2/go.mod"
+ "github.com/ProtonMail/go-imap v0.0.0-20201228133358-4db68cea0cac"
+ "github.com/ProtonMail/go-imap v0.0.0-20201228133358-4db68cea0cac/go.mod"
+ "github.com/ProtonMail/go-imap-id v0.0.0-20190926060100-f94a56b9ecde"
+ "github.com/ProtonMail/go-imap-id v0.0.0-20190926060100-f94a56b9ecde/go.mod"
+ "github.com/ProtonMail/go-mime v0.0.0-20190923161245-9b5a4261663a"
+ "github.com/ProtonMail/go-mime v0.0.0-20190923161245-9b5a4261663a/go.mod"
+ "github.com/ProtonMail/go-rfc5322 v0.5.0"
+ "github.com/ProtonMail/go-rfc5322 v0.5.0/go.mod"
+ "github.com/ProtonMail/go-vcard v0.0.0-20180326232728-33aaa0a0c8a5"
+ "github.com/ProtonMail/go-vcard v0.0.0-20180326232728-33aaa0a0c8a5/go.mod"
+ "github.com/ProtonMail/gopenpgp/v2 v2.1.3"
+ "github.com/ProtonMail/gopenpgp/v2 v2.1.3/go.mod"
+ "github.com/PuerkitoBio/goquery v1.5.1"
+ "github.com/PuerkitoBio/goquery v1.5.1/go.mod"
+ "github.com/Shopify/goreferrer v0.0.0-20181106222321-ec9c9a553398/go.mod"
+ "github.com/abiosoft/ishell v2.0.0+incompatible"
+ "github.com/abiosoft/ishell v2.0.0+incompatible/go.mod"
+ "github.com/abiosoft/readline v0.0.0-20180607040430-155bce2042db"
+ "github.com/abiosoft/readline v0.0.0-20180607040430-155bce2042db/go.mod"
+ "github.com/ajg/form v1.5.1/go.mod"
+ "github.com/allan-simon/go-singleinstance v0.0.0-20160830203053-79edcfdc2dfc"
+ "github.com/allan-simon/go-singleinstance v0.0.0-20160830203053-79edcfdc2dfc/go.mod"
+ "github.com/andybalholm/cascadia v1.1.0"
+ "github.com/andybalholm/cascadia v1.1.0/go.mod"
+ "github.com/antlr/antlr4 v0.0.0-20201029161626-9a95f0cc3d7c"
+ "github.com/antlr/antlr4 v0.0.0-20201029161626-9a95f0cc3d7c/go.mod"
+ "github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
+ "github.com/aymerick/raymond v2.0.3-0.20180322193309-b565731e1464+incompatible/go.mod"
+ "github.com/chzyer/logex v1.1.10"
+ "github.com/chzyer/logex v1.1.10/go.mod"
+ "github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1"
+ "github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
+ "github.com/codegangsta/inject v0.0.0-20150114235600-33e0aa1cb7c0/go.mod"
+ "github.com/coreos/etcd v3.3.10+incompatible/go.mod"
+ "github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
+ "github.com/coreos/go-semver v0.2.0/go.mod"
+ "github.com/cpuguy83/go-md2man v1.0.10"
+ "github.com/cpuguy83/go-md2man v1.0.10/go.mod"
+ "github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d"
+ "github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
+ "github.com/creack/pty v1.1.9/go.mod"
+ "github.com/cucumber/godog v0.8.1"
+ "github.com/cucumber/godog v0.8.1/go.mod"
+ "github.com/danieljoos/wincred v1.1.0"
+ "github.com/danieljoos/wincred v1.1.0/go.mod"
+ "github.com/davecgh/go-spew v1.1.0/go.mod"
+ "github.com/davecgh/go-spew v1.1.1"
+ "github.com/davecgh/go-spew v1.1.1/go.mod"
+ "github.com/dgraph-io/badger v1.6.0/go.mod"
+ "github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
+ "github.com/dgryski/go-farm v0.0.0-20190423205320-6a90982ecee2/go.mod"
+ "github.com/dustin/go-humanize v1.0.0/go.mod"
+ "github.com/eknkc/amber v0.0.0-20171010120322-cdade1c07385/go.mod"
+ "github.com/emersion/go-imap-appendlimit v0.0.0-20190308131241-25671c986a6a"
+ "github.com/emersion/go-imap-appendlimit v0.0.0-20190308131241-25671c986a6a/go.mod"
+ "github.com/emersion/go-imap-idle v0.0.0-20200601154248-f05f54664cc4"
+ "github.com/emersion/go-imap-idle v0.0.0-20200601154248-f05f54664cc4/go.mod"
+ "github.com/emersion/go-imap-move v0.0.0-20190710073258-6e5a51a5b342"
+ "github.com/emersion/go-imap-move v0.0.0-20190710073258-6e5a51a5b342/go.mod"
+ "github.com/emersion/go-imap-quota v0.0.0-20210203125329-619074823f3c"
+ "github.com/emersion/go-imap-quota v0.0.0-20210203125329-619074823f3c/go.mod"
+ "github.com/emersion/go-imap-unselect v0.0.0-20171113212723-b985794e5f26"
+ "github.com/emersion/go-imap-unselect v0.0.0-20171113212723-b985794e5f26/go.mod"
+ "github.com/emersion/go-mbox v1.0.2"
+ "github.com/emersion/go-mbox v1.0.2/go.mod"
+ "github.com/emersion/go-message v0.11.1/go.mod"
+ "github.com/emersion/go-message v0.12.1-0.20201221184100-40c3f864532b"
+ "github.com/emersion/go-message v0.12.1-0.20201221184100-40c3f864532b/go.mod"
+ "github.com/emersion/go-sasl v0.0.0-20191210011802-430746ea8b9b/go.mod"
+ "github.com/emersion/go-sasl v0.0.0-20200509203442-7bfe0ed36a21"
+ "github.com/emersion/go-sasl v0.0.0-20200509203442-7bfe0ed36a21/go.mod"
+ "github.com/emersion/go-smtp v0.14.0"
+ "github.com/emersion/go-smtp v0.14.0/go.mod"
+ "github.com/emersion/go-textwrapper v0.0.0-20160606182133-d0e65e56babe/go.mod"
+ "github.com/emersion/go-textwrapper v0.0.0-20200911093747-65d896831594"
+ "github.com/emersion/go-textwrapper v0.0.0-20200911093747-65d896831594/go.mod"
+ "github.com/emersion/go-vcard v0.0.0-20190105225839-8856043f13c5"
+ "github.com/emersion/go-vcard v0.0.0-20190105225839-8856043f13c5/go.mod"
+ "github.com/etcd-io/bbolt v1.3.3/go.mod"
+ "github.com/fasthttp-contrib/websocket v0.0.0-20160511215533-1f3b11f56072/go.mod"
+ "github.com/fatih/color v1.9.0"
+ "github.com/fatih/color v1.9.0/go.mod"
+ "github.com/fatih/structs v1.1.0/go.mod"
+ "github.com/flynn-archive/go-shlex v0.0.0-20150515145356-3f9db97f8568"
+ "github.com/flynn-archive/go-shlex v0.0.0-20150515145356-3f9db97f8568/go.mod"
+ "github.com/fsnotify/fsnotify v1.4.7/go.mod"
+ "github.com/gavv/httpexpect v2.0.0+incompatible/go.mod"
+ "github.com/getsentry/sentry-go v0.8.0"
+ "github.com/getsentry/sentry-go v0.8.0/go.mod"
+ "github.com/gin-contrib/sse v0.0.0-20190301062529-5545eab6dad3/go.mod"
+ "github.com/gin-gonic/gin v1.4.0/go.mod"
+ "github.com/go-check/check v0.0.0-20180628173108-788fd7840127/go.mod"
+ "github.com/go-errors/errors v1.0.1"
+ "github.com/go-errors/errors v1.0.1/go.mod"
+ "github.com/go-martini/martini v0.0.0-20170121215854-22fa46961aab/go.mod"
+ "github.com/go-resty/resty/v2 v2.3.0"
+ "github.com/go-resty/resty/v2 v2.3.0/go.mod"
+ "github.com/gobwas/httphead v0.0.0-20180130184737-2c6c146eadee/go.mod"
+ "github.com/gobwas/pool v0.2.0/go.mod"
+ "github.com/gobwas/ws v1.0.2/go.mod"
+ "github.com/golang/mock v1.4.4"
+ "github.com/golang/mock v1.4.4/go.mod"
+ "github.com/golang/protobuf v1.2.0/go.mod"
+ "github.com/golang/protobuf v1.3.1/go.mod"
+ "github.com/gomodule/redigo v1.7.1-0.20190724094224-574c33c3df38/go.mod"
+ "github.com/google/go-cmp v0.4.0/go.mod"
+ "github.com/google/go-cmp v0.5.1"
+ "github.com/google/go-cmp v0.5.1/go.mod"
+ "github.com/google/go-querystring v1.0.0/go.mod"
+ "github.com/google/gofuzz v1.0.0/go.mod"
+ "github.com/google/uuid v1.1.1"
+ "github.com/google/uuid v1.1.1/go.mod"
+ "github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
+ "github.com/gopherjs/gopherjs v0.0.0-20190411002643-bd77b112433e/go.mod"
+ "github.com/gopherjs/gopherjs v0.0.0-20190430165422-3e4dfb77656c"
+ "github.com/gopherjs/gopherjs v0.0.0-20190430165422-3e4dfb77656c/go.mod"
+ "github.com/gorilla/websocket v1.4.1/go.mod"
+ "github.com/hashicorp/errwrap v1.0.0"
+ "github.com/hashicorp/errwrap v1.0.0/go.mod"
+ "github.com/hashicorp/go-multierror v1.1.0"
+ "github.com/hashicorp/go-multierror v1.1.0/go.mod"
+ "github.com/hashicorp/go-version v1.2.0/go.mod"
+ "github.com/hashicorp/hcl v1.0.0/go.mod"
+ "github.com/hpcloud/tail v1.0.0/go.mod"
+ "github.com/imkira/go-interpol v1.1.0/go.mod"
+ "github.com/inconshreveable/mousetrap v1.0.0/go.mod"
+ "github.com/iris-contrib/blackfriday v2.0.0+incompatible/go.mod"
+ "github.com/iris-contrib/go.uuid v2.0.0+incompatible/go.mod"
+ "github.com/iris-contrib/jade v1.1.3/go.mod"
+ "github.com/iris-contrib/pongo2 v0.0.1/go.mod"
+ "github.com/iris-contrib/schema v0.0.1/go.mod"
+ "github.com/jaytaylor/html2text v0.0.0-20200412013138-3577fbdbcff7"
+ "github.com/jaytaylor/html2text v0.0.0-20200412013138-3577fbdbcff7/go.mod"
+ "github.com/json-iterator/go v1.1.6/go.mod"
+ "github.com/json-iterator/go v1.1.9/go.mod"
+ "github.com/jtolds/gls v4.20.0+incompatible/go.mod"
+ "github.com/k0kubun/colorstring v0.0.0-20150214042306-9440f1994b88/go.mod"
+ "github.com/kataras/golog v0.0.10/go.mod"
+ "github.com/kataras/iris/v12 v12.1.8/go.mod"
+ "github.com/kataras/neffos v0.0.14/go.mod"
+ "github.com/kataras/pio v0.0.2/go.mod"
+ "github.com/kataras/sitemap v0.0.5/go.mod"
+ "github.com/keybase/go-keychain v0.0.0-20200502122510-cda31fe0c86d"
+ "github.com/keybase/go-keychain v0.0.0-20200502122510-cda31fe0c86d/go.mod"
+ "github.com/keybase/go.dbus v0.0.0-20200324223359-a94be52c0b03/go.mod"
+ "github.com/klauspost/compress v1.8.2/go.mod"
+ "github.com/klauspost/compress v1.9.7/go.mod"
+ "github.com/klauspost/cpuid v1.2.1/go.mod"
+ "github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
+ "github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
+ "github.com/kr/pretty v0.1.0/go.mod"
+ "github.com/kr/pty v1.1.1/go.mod"
+ "github.com/kr/text v0.1.0/go.mod"
+ "github.com/kr/text v0.2.0"
+ "github.com/kr/text v0.2.0/go.mod"
+ "github.com/labstack/echo/v4 v4.1.11/go.mod"
+ "github.com/labstack/gommon v0.3.0/go.mod"
+ "github.com/logrusorgru/aurora v2.0.3+incompatible"
+ "github.com/logrusorgru/aurora v2.0.3+incompatible/go.mod"
+ "github.com/magiconair/properties v1.8.0/go.mod"
+ "github.com/martinlindhe/base36 v1.0.0/go.mod"
+ "github.com/martinlindhe/base36 v1.1.0"
+ "github.com/martinlindhe/base36 v1.1.0/go.mod"
+ "github.com/mattn/go-colorable v0.1.2/go.mod"
+ "github.com/mattn/go-colorable v0.1.4"
+ "github.com/mattn/go-colorable v0.1.4/go.mod"
+ "github.com/mattn/go-isatty v0.0.7/go.mod"
+ "github.com/mattn/go-isatty v0.0.8/go.mod"
+ "github.com/mattn/go-isatty v0.0.9/go.mod"
+ "github.com/mattn/go-isatty v0.0.11"
+ "github.com/mattn/go-isatty v0.0.11/go.mod"
+ "github.com/mattn/go-runewidth v0.0.7/go.mod"
+ "github.com/mattn/go-runewidth v0.0.9"
+ "github.com/mattn/go-runewidth v0.0.9/go.mod"
+ "github.com/mattn/goveralls v0.0.2/go.mod"
+ "github.com/mediocregopher/radix/v3 v3.4.2/go.mod"
+ "github.com/microcosm-cc/bluemonday v1.0.2/go.mod"
+ "github.com/miekg/dns v1.1.30"
+ "github.com/miekg/dns v1.1.30/go.mod"
+ "github.com/mitchellh/go-homedir v1.1.0/go.mod"
+ "github.com/mitchellh/mapstructure v1.1.2/go.mod"
+ "github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
+ "github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
+ "github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
+ "github.com/modern-go/reflect2 v1.0.1/go.mod"
+ "github.com/moul/http2curl v1.0.0/go.mod"
+ "github.com/nats-io/jwt v0.3.0/go.mod"
+ "github.com/nats-io/nats.go v1.9.1/go.mod"
+ "github.com/nats-io/nkeys v0.1.0/go.mod"
+ "github.com/nats-io/nuid v1.0.1/go.mod"
+ "github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e"
+ "github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e/go.mod"
+ "github.com/nsf/jsondiff v0.0.0-20200515183724-f29ed568f4ce"
+ "github.com/nsf/jsondiff v0.0.0-20200515183724-f29ed568f4ce/go.mod"
+ "github.com/olekukonko/tablewriter v0.0.4"
+ "github.com/olekukonko/tablewriter v0.0.4/go.mod"
+ "github.com/onsi/ginkgo v1.6.0/go.mod"
+ "github.com/onsi/ginkgo v1.10.3/go.mod"
+ "github.com/onsi/gomega v1.7.1/go.mod"
+ "github.com/pelletier/go-toml v1.2.0/go.mod"
+ "github.com/pingcap/errors v0.11.4"
+ "github.com/pingcap/errors v0.11.4/go.mod"
+ "github.com/pkg/errors v0.8.1/go.mod"
+ "github.com/pkg/errors v0.9.1"
+ "github.com/pkg/errors v0.9.1/go.mod"
+ "github.com/pkg/math v0.0.0-20141027224758-f2ed9e40e245"
+ "github.com/pkg/math v0.0.0-20141027224758-f2ed9e40e245/go.mod"
+ "github.com/pmezard/go-difflib v1.0.0"
+ "github.com/pmezard/go-difflib v1.0.0/go.mod"
+ "github.com/russross/blackfriday v1.5.2"
+ "github.com/russross/blackfriday v1.5.2/go.mod"
+ "github.com/russross/blackfriday/v2 v2.0.1"
+ "github.com/russross/blackfriday/v2 v2.0.1/go.mod"
+ "github.com/ryanuber/columnize v2.1.0+incompatible/go.mod"
+ "github.com/schollz/closestmatch v2.1.0+incompatible/go.mod"
+ "github.com/sergi/go-diff v1.0.0/go.mod"
+ "github.com/shurcooL/sanitized_anchor_name v1.0.0"
+ "github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
+ "github.com/sirupsen/logrus v1.4.1/go.mod"
+ "github.com/sirupsen/logrus v1.4.2/go.mod"
+ "github.com/sirupsen/logrus v1.7.0"
+ "github.com/sirupsen/logrus v1.7.0/go.mod"
+ "github.com/skratchdot/open-golang v0.0.0-20200116055534-eef842397966"
+ "github.com/skratchdot/open-golang v0.0.0-20200116055534-eef842397966/go.mod"
+ "github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
+ "github.com/smartystreets/goconvey v1.6.4/go.mod"
+ "github.com/spf13/afero v1.1.2/go.mod"
+ "github.com/spf13/cast v1.3.0/go.mod"
+ "github.com/spf13/cobra v0.0.5/go.mod"
+ "github.com/spf13/jwalterweatherman v1.0.0/go.mod"
+ "github.com/spf13/pflag v1.0.3/go.mod"
+ "github.com/spf13/viper v1.3.2/go.mod"
+ "github.com/ssor/bom v0.0.0-20170718123548-6386211fdfcf"
+ "github.com/ssor/bom v0.0.0-20170718123548-6386211fdfcf/go.mod"
+ "github.com/stretchr/objx v0.1.0/go.mod"
+ "github.com/stretchr/objx v0.1.1/go.mod"
+ "github.com/stretchr/objx v0.2.0"
+ "github.com/stretchr/objx v0.2.0/go.mod"
+ "github.com/stretchr/testify v1.2.2/go.mod"
+ "github.com/stretchr/testify v1.3.0/go.mod"
+ "github.com/stretchr/testify v1.4.0/go.mod"
+ "github.com/stretchr/testify v1.5.1/go.mod"
+ "github.com/stretchr/testify v1.6.1"
+ "github.com/stretchr/testify v1.6.1/go.mod"
+ "github.com/therecipe/qt v0.0.0-20200701200531-7f61353ee73e"
+ "github.com/therecipe/qt v0.0.0-20200701200531-7f61353ee73e/go.mod"
+ "github.com/ugorji/go v1.1.4/go.mod"
+ "github.com/ugorji/go v1.1.7/go.mod"
+ "github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
+ "github.com/ugorji/go/codec v1.1.7/go.mod"
+ "github.com/urfave/cli/v2 v2.2.0"
+ "github.com/urfave/cli/v2 v2.2.0/go.mod"
+ "github.com/urfave/negroni v1.0.0/go.mod"
+ "github.com/valyala/bytebufferpool v1.0.0/go.mod"
+ "github.com/valyala/fasthttp v1.6.0/go.mod"
+ "github.com/valyala/fasttemplate v1.0.1/go.mod"
+ "github.com/valyala/tcplisten v0.0.0-20161114210144-ceec8f93295a/go.mod"
+ "github.com/vmihailenco/msgpack/v5 v5.1.3"
+ "github.com/vmihailenco/msgpack/v5 v5.1.3/go.mod"
+ "github.com/vmihailenco/tagparser v0.1.2"
+ "github.com/vmihailenco/tagparser v0.1.2/go.mod"
+ "github.com/xeipuuv/gojsonpointer v0.0.0-20180127040702-4e3ac2762d5f/go.mod"
+ "github.com/xeipuuv/gojsonreference v0.0.0-20180127040603-bd5ef7bd5415/go.mod"
+ "github.com/xeipuuv/gojsonschema v1.2.0/go.mod"
+ "github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
+ "github.com/yalp/jsonpath v0.0.0-20180802001716-5cc68e5049a0/go.mod"
+ "github.com/yudai/gojsondiff v1.0.0/go.mod"
+ "github.com/yudai/golcs v0.0.0-20170316035057-ecda9a501e82/go.mod"
+ "github.com/yudai/pp v2.0.1+incompatible/go.mod"
+ "go.etcd.io/bbolt v1.3.5"
+ "go.etcd.io/bbolt v1.3.5/go.mod"
+ "golang.org/x/exp v0.0.0-20190731235908-ec7cb31e5a56/go.mod"
+ "golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
+ "golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
+ "golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
+ "golang.org/x/mobile v0.0.0-20200801112145-973feb4309de/go.mod"
+ "golang.org/x/mod v0.1.0/go.mod"
+ "golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
+ "golang.org/x/mod v0.1.1-0.20191209134235-331c550502dd/go.mod"
+ "golang.org/x/net v0.0.0-20180218175443-cbe0f9307d01/go.mod"
+ "golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
+ "golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
+ "golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
+ "golang.org/x/net v0.0.0-20190327091125-710a502c58a2/go.mod"
+ "golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
+ "golang.org/x/net v0.0.0-20190420063019-afa5a82059c6/go.mod"
+ "golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
+ "golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
+ "golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
+ "golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
+ "golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
+ "golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
+ "golang.org/x/net v0.0.0-20200513185701-a91f0712d120/go.mod"
+ "golang.org/x/net v0.0.0-20200707034311-ab3426394381"
+ "golang.org/x/net v0.0.0-20200707034311-ab3426394381/go.mod"
+ "golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
+ "golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
+ "golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e"
+ "golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
+ "golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
+ "golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
+ "golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
+ "golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
+ "golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
+ "golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
+ "golang.org/x/sys v0.0.0-20190419153524-e8e3143a4f4a/go.mod"
+ "golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
+ "golang.org/x/sys v0.0.0-20190626221950-04f50cda93cb/go.mod"
+ "golang.org/x/sys v0.0.0-20190813064441-fde4db37ae7a/go.mod"
+ "golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
+ "golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
+ "golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
+ "golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd"
+ "golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
+ "golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
+ "golang.org/x/text v0.3.0/go.mod"
+ "golang.org/x/text v0.3.2/go.mod"
+ "golang.org/x/text v0.3.5-0.20201125200606-c27b9fd57aec"
+ "golang.org/x/text v0.3.5-0.20201125200606-c27b9fd57aec/go.mod"
+ "golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
+ "golang.org/x/tools v0.0.0-20181221001348-537d06c36207/go.mod"
+ "golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
+ "golang.org/x/tools v0.0.0-20190327201419-c70d86f8b7cf/go.mod"
+ "golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
+ "golang.org/x/tools v0.0.0-20190420181800-aa740d480789/go.mod"
+ "golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
+ "golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
+ "golang.org/x/tools v0.0.0-20191216052735-49a3e744a425/go.mod"
+ "golang.org/x/tools v0.0.0-20200117012304-6edc0a871e69"
+ "golang.org/x/tools v0.0.0-20200117012304-6edc0a871e69/go.mod"
+ "golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
+ "golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
+ "golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543"
+ "golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
+ "gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
+ "gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f"
+ "gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f/go.mod"
+ "gopkg.in/fsnotify.v1 v1.4.7/go.mod"
+ "gopkg.in/go-playground/assert.v1 v1.2.1/go.mod"
+ "gopkg.in/go-playground/validator.v8 v8.18.2/go.mod"
+ "gopkg.in/ini.v1 v1.51.1/go.mod"
+ "gopkg.in/mgo.v2 v2.0.0-20180705113604-9856a29383ce/go.mod"
+ "gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
+ "gopkg.in/yaml.v2 v2.2.2/go.mod"
+ "gopkg.in/yaml.v2 v2.2.4/go.mod"
+ "gopkg.in/yaml.v2 v2.2.8/go.mod"
+ "gopkg.in/yaml.v3 v3.0.0-20191120175047-4206685974f2/go.mod"
+ "gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c"
+ "gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
+)
+
+go-module_set_globals
+
+MY_PN="proton-bridge-br"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Serves ProtonMail to IMAP/SMTP clients"
+HOMEPAGE="https://protonmail.com/bridge/ https://github.com/ProtonMail/proton-bridge/"
+SRC_URI="https://github.com/ProtonMail/proton-bridge/archive/br-${PV}.tar.gz -> ${P}.tar.gz
+ ${EGO_SUM_SRC_URI}"
+
+LICENSE="Apache-2.0 BSD BSD-2 GPL-3+ ISC LGPL-3+ MIT MPL-2.0 Unlicense"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="gui"
+
+# Some of the tests fail without access to a keyring service
+RESTRICT="test"
+
+RDEPEND="app-crypt/libsecret
+ gui? ( !mail-mta/protonmail-bridge-bin )" # /usr/bin file collision
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+ xdg_environment_reset
+ default
+}
+
+src_compile() {
+ if use gui; then
+ emake \
+ QT_DOC_DIR="/usr/share/qt5-doc" \
+ QT_PKG_CONFIG=true \
+ build
+ else
+ emake build-nogui
+ fi
+}
+
+src_test() {
+ emake test
+}
+
+src_install() {
+ # A slight hack to allow this package (which is currently limited to CLI mode)
+ # and protonmail-bridge-bin (which supports GUI mode) to co-exist.
+ local bin_name unit_name
+ if use gui; then
+ bin_name="${PN}"
+ unit_name="${FILESDIR}/${PN}.service"
+ else
+ bin_name="${PN}-cli"
+ unit_name="${PN}-cli.service"
+ sed -e "s|${PN}|${bin_name}|" "${FILESDIR}"/${PN}.service > ${unit_name} || die
+ fi
+
+ exeinto /usr/bin
+ newexe proton-bridge ${bin_name}
+
+ systemd_douserunit ${unit_name}
+
+ # FIXME: USE=gui will probably need more files
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ use gui && xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ use gui && xdg_icon_cache_update
+}